LM Funding America Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/lm-funding-america-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/lm-funding-america-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1762300800000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.lmfunding.com/investors/news-events/press-releases/detail/172/lm-funding-america-announces-october-2025-production-and",
    "holding_balance": 294.9,
    "holding_net_change": -9.6,
    "transaction_value_usd": 997283.1359999999,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1764806400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.lmfunding.com/investors/news-events/press-releases/detail/175/lm-funding-america-announces-november-2025-production-and",
    "holding_balance": 301.8,
    "holding_net_change": 6.9,
    "transaction_value_usd": 635669.4,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1767744000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.lmfunding.com/investors/news-events/press-releases/detail/178/lm-funding-america-announces-december-2025-production-and",
    "holding_balance": 356.3,
    "holding_net_change": 54.5,
    "transaction_value_usd": 4973178.955,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/lm-funding-america-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    356.3
  ],
  [
    1779062400000,
    356.3
  ],
  [
    1779148800000,
    356.3
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/lm-funding-america-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    27588259.118
  ],
  [
    1779062400000,
    27415243.401
  ],
  [
    1779148800000,
    27349591.563
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/lm-funding-america-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.227,
    "date": "2026-05-15",
    "high": 0.242,
    "open": 0.238,
    "close": 0.231,
    "volume": 451800
  },
  {
    "low": 0.223,
    "date": "2026-05-18",
    "high": 0.23,
    "open": 0.229,
    "close": 0.228,
    "volume": 301700
  },
  {
    "low": 0.2117,
    "date": "2026-05-19",
    "high": 0.233,
    "open": 0.22,
    "close": 0.2225,
    "volume": 418888
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/lm-funding-america-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.23,
  "quarterly_earnings_growth": -0.894,
  "eps_estimate_current_quarter": -0.22
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/lm-funding-america-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -22.2,
  "six_month_return": -76.53,
  "three_month_return": -42.65
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/lm-funding-america-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 766.6,
  "total_btc_percentage": 0.002,
  "share_price_change_state": "down"
}